MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002040VCMIMechanics - Objectspublic2015-01-11 17:062016-09-25 09:16
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.99 
Summary0002040: After build fort image in map not change
DescriptionAfter build fort image in map not change
TagsNo tags attached.
Attached Filespng file icon Fort.PNG [^] (943,000 bytes) 2015-01-11 17:07


png file icon fort update.PNG [^] (982,238 bytes) 2016-04-01 10:23

- Relationships
duplicate of 0001944resolvedSXX After building a Fort castle on adventure map doesn't change it's sprite 
related to 0002514resolvedSXX now fort on map looks as town 

-  Notes
(0005389)
Fay (developer)
2015-01-23 21:21

I have researched this problem a bit and found out the reason and a possible solution.
There seems to be a mismatch in object template names: factions define .defs for "village", "fort" and "capitol" (in /config/factions/[name].json/[name]/town/mapObject/templates), but the templates that resolve when to use these .defs (in /config/objects/moddables.json/town/base/filters) define "village", "castle" and "capitol". In the game, the templates don't match and appearance isn't updated.

Setting either "fort" to "castle" or the other way around in these configs seems to fix this issue. However I haven't checked for any side effects.
(0005644)
SXX (administrator)
2015-03-13 01:48

This is clearly dupe of 0001944, but I don't wanna close it as there is really interesting answer from @Fay.

Also when you built fort from inside the town screen then icons change properly, but on sprite don't change. Though if town upgraded via "vcmiarmenelos" then sprite change on map, but icons don't change.
(0006352)
vmarkovtsev (developer)
2016-01-23 06:34

I was not able to reproduce this with latest git. Sprite updates. Does it work for anybody else?
(0006484)
Povelitel (updater)
2016-04-01 10:23

0,98g в меню городов обновляется, на карте нет
0,98g cities in the menu is updated on the map no
(0006485)
vmarkovtsev (developer)
2016-04-01 11:20

They say it is because I have Hota mod
(0006587)
SXX (administrator)
2016-08-24 03:54

This one is resolved by same fix as 0001911:
https://github.com/vcmi/vcmi/commit/25a68c3ca188b51ccc23f66c49b37d43cd7c0403 [^]

- Issue History
Date Modified Username Field Change
2015-01-11 17:06 Povelitel New Issue
2015-01-11 17:07 Povelitel File Added: Fort.PNG
2015-01-23 21:21 Fay Note Added: 0005389
2015-03-12 21:18 SXX Relationship added duplicate of 0001944
2015-03-13 01:48 SXX Note Added: 0005644
2016-01-23 06:34 vmarkovtsev Note Added: 0006352
2016-01-23 06:34 vmarkovtsev Assigned To => vmarkovtsev
2016-01-23 06:34 vmarkovtsev Status new => feedback
2016-04-01 10:23 Povelitel Note Added: 0006484
2016-04-01 10:23 Povelitel Status feedback => assigned
2016-04-01 10:23 Povelitel File Added: fort update.PNG
2016-04-01 11:20 vmarkovtsev Note Added: 0006485
2016-08-24 01:17 SXX Relationship added child of 0002464
2016-08-24 01:25 SXX Relationship deleted child of 0002464
2016-08-24 03:54 SXX Assigned To vmarkovtsev => SXX
2016-08-24 03:54 SXX Note Added: 0006587
2016-08-24 03:54 SXX Status assigned => resolved
2016-08-24 03:54 SXX Fixed in Version => 0.98g
2016-08-24 03:54 SXX Resolution open => fixed
2016-08-24 03:55 SXX Fixed in Version 0.98g => 0.99
2016-09-25 09:16 Povelitel Relationship added related to 0002514

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean